Page MenuHomePhabricator

Enable Flagged Revisions (for trial run purpose) at the Chinese Wikipedia
Open, Stalled, Needs TriagePublic

Description

Please enable Flagged Revisions at the Chinese Wikipedia for conducting a trial run of the structure.

At the same time, please add the following rights to the user groups for implementation of the Flagged Revision at the Chinese Wikipedia:

Current:
Enable the Special:PendingChanges page

At the Trial Period of 1 June to 31 August:
Autoconfirmed Users ; Confirmed Users:

+movestable

Admins:

+movestable
+autoreview
+review

Rollbackers:

+autoreview
+review

Additional community consensus: T221933#5184105

Note to all: There are currently no discussion about whether the trial period will extend or implement as a specific, separate right.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptApr 26 2019, 9:21 AM

@1233thehongkonger Hello, have a community discussion? Please provide a link to discussion.

Add groups:
+Revision Reviewers , - Revision Reviewers

Need to clarify, this means allowing sysop add/remove reviewer group for a user or allowing a reviewer self-remove reviewer group?

Edit:
Admins should not add or remove extra group per discussion.

Also per discussion, there will be no changes to the groups.

My fault.

@1233thehongkonger Due many FlaggedRevs wiki with $wgFlaggedRevsOverride=false ($wgFlaggedRevsOverride: Whether the stable version is the default content for pages). Just in case, do you want to disable this option (default true)?

Also whether the deployment time of the patch should match the trial period starting?

RazeSoldier triaged this task as Normal priority.
RazeSoldier added a comment.EditedApr 26 2019, 12:52 PM

$wgFlaggedRevsOverride – Whether the stable version is the default content for pages.

Individual pages can be configured to have the stable or draft version as the default content by administrators. -- MediaWiki.org

KirkLU added a subscriber: KirkLU.Apr 27 2019, 2:59 AM
94rain added a subscriber: 94rain.Apr 28 2019, 12:23 PM

I think range is determined, it is only used at highly vandalized pages, high volume pages, and also FA / GA etc.

This protection level is not that high.

KirkLU removed a subscriber: 94rain.Apr 28 2019, 3:56 PM
This comment was removed by KirkLU.
KirkLU added a subscriber: 94rain.Apr 28 2019, 3:58 PM

In addition, it is pointed out that the amount of the edits of FA/GA could be too low to test whether the review system is efficient, which is the reason that highly vandalized pages and high volume pages are included.

P.S. Sorry for my mistakenly removing 94rain from subscribers list

Change 507932 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[operations/mediawiki-config@master] Enable FlaggedRevisions on zhwiki

https://gerrit.wikimedia.org/r/507932

Checking list:

  1. Add zhwiki to flaggedrevs.dblist
  2. Grant movestable, autoreview and review to sysop
  3. Grant autoreview and review to rollbacker
  4. Disable $wgKartographerEnableMapFrame on zhwiki
在T221933#5155350中,@RazeSoldier写道:
  1. Disable $wgKartographerEnableMapFrame on zhwiki

Why disable $wgKartographerEnableMapFrame?

在T221933#5157829中,@Shizhao写道:
在T221933#5155350中,@RazeSoldier写道:
  1. Disable $wgKartographerEnableMapFrame on zhwiki

Why disable $wgKartographerEnableMapFrame?

It seems like a rule, see the note here https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/507932/2/wmf-config/InitialiseSettings.php

This comment was removed by Hamishcn.

It is requested to keep the config change on hold.

Further discussion is needed on zhwiki before enabling the config change, as disabling MapFrame would affect approx. 20,000 pages, which is a significant issue.

Shizhao changed the task status from Open to Stalled.May 5 2019, 9:40 AM

@RazeSoldier It seems that it is not necessary to disable $wgKartographerEnableMapFrame if applying the English Wikipedia Model on Chinese Wikipedia. Right?

RazeSoldier added a comment.EditedMay 5 2019, 11:08 AM

What is "the English Wikipedia Model"? enwiki set $wgFlaggedRevsOverride=false, so unnecessary disable $wgKartographerEnableMapFrame.

KirkLU added a comment.EditedMay 5 2019, 11:12 AM

What is "the English Wikipedia Model"? enwiki set $wgFlaggedRevsOverride=false, so unnecessary disable $wgKartographerEnableMapFrame.

I guess Wong means the Model metioned as "Wikipedias which have Flagged Revs, but which show the latest version of a page by default ( $wgFlaggedRevsOverride = false)", just like what we can see in T191585.

What is "the English Wikipedia Model"? enwiki set $wgFlaggedRevsOverride=false, so unnecessary disable $wgKartographerEnableMapFrame.

I guess Wong means the Model metioned as "Wikipedias which have Flagged Revs, but which show the latest version of a page by default ( $wgFlaggedRevsOverride = false)", just like what we can see in T191585.

That is, in this case, English Wikipedia can have Flagged Revs while their mapFrame enabled at the same time. And Wong may wonders whether it is also possible for Chinese Wikipedia to have both the Flagged Revs and the mapFrame, just like enwiki do.

RazeSoldier added a comment.EditedMay 5 2019, 11:20 AM

We can set $wgFlaggedRevsOverride=false, default true.

See T221933#5140456 and T221933#5140467.

We can set $wgFlaggedRevsOverride=false, default true.

See T221933#5140456 and T221933#5140467.

Thanks for your explanation. And I think, as is presented in discussions before in this site and in zhwiki, the Chinese Wikipedia want to apply the Rev system in some highly vandalized pages and high volume pages instead of reviewing all the pages. So setting $wgFlaggedRevsOverride=false is necessary and fits in the need and agreement in zhwiki.

So setting $wgFlaggedRevsOverride=false is necessary and fits in the need and agreement in zhwiki.

Have a community consensus?

KirkLU added a comment.EditedMay 5 2019, 11:48 AM

So setting $wgFlaggedRevsOverride=false is necessary and fits in the need and agreement in zhwiki.

Have a community consensus?

Yes, of course, we can find the consensus in the final of the discussion. And permit me to quote some Chinese:

  1. 权限组:权限暂时放在回退员之下(即回退员将会拥有修订巡查权)。管理员将直接持有此权 (无论结果如何)
  2. 使用条目:

*1st 高风险的条目 (例如现时被半保护的条目,而原因为长期破坏)
*2nd 极高浏览量的条目 (此类条目一般被至少半保护)
*3rd 近期被破坏的条目 (很多例子了,不必多说)
The words before show that the community agree to add "review" to Rollbackers & Admins and apply the RevSystem in highly vandalized pages(1st), high volume pages(2nd) and the articles which are vandalized recently(3rd).

So setting $wgFlaggedRevsOverride=false is necessary and fits in the need and agreement in zhwiki.

Have a community consensus?

Although $wgFlaggedRevsOverride=false is not directly mentioned, the range of pages that the RevSystem should be applied is already determined. And it seems that $wgFlaggedRevsOverride=false is the only way to execute the plan.

Wong128hk added a comment.EditedMay 5 2019, 11:56 AM

So setting $wgFlaggedRevsOverride=false is necessary and fits in the need and agreement in zhwiki.

Have a community consensus?

The scope of flagged revision is determined to be applied on designated pages does not mean that the flagged revision does not apply to the pages by default. Understanding that it concerns you. There is also some details need to be discussed by the community. Please hold on and let the community determine the details.

So setting $wgFlaggedRevsOverride=false is necessary and fits in the need and agreement in zhwiki.

Have a community consensus?

The scope of flagged revision is determined to be applied on designated pages does not mean the flagged revision does not apply to the pages by default. Understanding that it concerns you. There is also some details need to be discussed by the community. Please hold on and let the community to determine the details.

I'd agree with that. And we will try to bring the latest result here ASAP.

1233thehongkonger renamed this task from Enable Flagged Revisions at the Chinese Wikipedia to Enable Flagged Revisions (for trial run purpose) at the Chinese Wikipedia.May 9 2019, 1:20 PM
1233thehongkonger updated the task description. (Show Details)
1233thehongkonger set Due Date to Aug 31 2019, 4:00 PM.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMay 9 2019, 1:20 PM
RazeSoldier changed Due Date from Aug 31 2019, 4:00 PM to Fri, May 31, 4:00 PM.May 9 2019, 1:35 PM
AF added a subscriber: AF.May 14 2019, 2:23 PM

https://zh.wikipedia.org/wiki/Wikipedia_talk:%E4%BF%AE%E8%A8%82%E5%B7%A1%E6%9F%A5#%E8%A9%A6%E8%A1%8C%E6%9C%9F

From the above consensus, these are the following proposed settings:

$wgFlaggedRevsNamespaces : Mainspace, Wikipedia
$wgFlaggedRevsOverride : FALSE
$wgFlaggedRevsTags : 'status' => [ 'levels' => 1, 'quality' => 2, 'pristine' => 3 ]
$wgFlaggedRevsTagsRestrictions : 'status' => [ 'review' => 1, 'autoreview' => 1 ]
$wgFlaggedRevsRestrictionLevels : [ '', 'autoconfirmed' ]
$wgFlaggedRevsProtection : TRUE
$wgFlaggedRevsHandleIncludes : TRUE
$wgGroupPermissions['autoconfirmed']['autoreview'] : TRUE
stablesettings : sysop
User Group to be disabled : editor, autoreview, reviewer (of the extension)

I pushed a new patch.

When should we deploy the patch?

As close as possible to June 1.

RazeSoldier changed the task status from Stalled to Open.May 19 2019, 2:50 AM
RazeSoldier added a comment.EditedWed, May 22, 10:42 AM

I will schedule the patch on the 27th or 28th in next week.


Edited:
and -> or

I will schedule the patch on the 27th and 28th in next week.

Could you state exact time?

Could you state exact time?

Considering the private arrangements, I think I have free time on the 29th. I will schedule to deploy the patch on that day, maybe at Mid-day SWAT (11:00-12:00 UTC).

RazeSoldier updated the task description. (Show Details)Fri, May 24, 7:10 AM

Per https://meta.wikimedia.org/wiki/Flagged_Revisions#Enabling, "get a test wiki for the language created on the beta cluster, test the translation and configuration there to ensure it's as intended" is required. I don't see a record of this happening? Testing in beta is required, because "FlaggedRevisions are very hard to configure". As such, you're probably not going to have the working configuration ready at your first try. We don't want experiments in production wikis, do we :).

(maybe a beta testing isn't required, provided flaggedrevs is running in zh_classicalwiki, but I would still want to hear a more experienced site-requester's opinion here)

But it seems that zh_classicalwiki uses the default configuration. Is there a reference value?

@Reedy Should I test my patch on beta-zhwiki? If so, this means that it cannot be deployed to zhwiki before June 1.

Also, is enabling FlaggedRevision extension within the scope of SWAT deploy? Enabling the extension seems complicated.

Reedy changed the task status from Open to Stalled.Tue, May 28, 12:37 PM

Also, we're not actually installing FR on any new wikis anyway...

https://meta.wikimedia.org/wiki/Flagged_Revisions#Enabling

Is it necessary to reach certain conditions to enable the extension on zhwiki or to block the extension enabling at fundamentally? If it is the former, what conditions do we need to reach?

I need to make a summary to chinese wikipedia community for this situation.

In my understanding it is fundamentally. See also T163197 and T185664.

Also related to that is there some reason why moratoira cannot be removed as RFC by @Dereckson was closed without resolution and biggest voiced reason for it in first place was that nobody actually did enabling?

Is there any possibility for zhwiki to follow enwiki to set up an environment of a light weight form of Flagged Revisions a.k.a. Pending Changes?

Is there any possibility for zhwiki to follow enwiki to set up an environment of a light weight form of Flagged Revisions a.k.a. Pending Changes?

Special:PendingChanges defined by FlaggedRevs extension.

Can we enable the extension on beta zhwiki?

@RazeSoldier: What's the sense in enabling something on beta which will not be enabled in production?

@RazeSoldier: What's the sense in enabling something on beta which will not be enabled in production?

I think it is possible to enable the extension in the future. (I didn't find a enough authoritative announcement to explain why it is forbidden to enable the extension on new wikis)

Before that, doing enough tests for the extension on the beta wiki can reduce the negative impact on production.

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptWed, May 29, 9:03 AM
Viztor added a subscriber: Viztor.Wed, May 29, 2:31 PM
Wong128hk added a comment.EditedFri, Jun 7, 6:21 AM

so may I know what is the progress?

If there is a need to conduct a technical trial, i.e. to test whether the extension will run smoothly on zhwiki, beta zhwiki is the place.

If we need to evaluate the interaction between the extension and the community, zhwiki is the place.

I think it should be clear enough. Please proceed.

Zache added a comment.Fri, Jun 7, 6:58 AM

(@Aklapper) if this is something which needs to be asked from WMF then from who or where it needs to be asked?

so may I know what is the progress?

See previous comments about any "progress".

(@Aklapper) if this is something which needs to be asked from WMF then from who or where it needs to be asked?

I do not think there is anything/anyone to ask. See T221933#5216351 and T221933#5216671.

Aklapper raised the priority of this task from Normal to Needs Triage.Fri, Jun 7, 10:26 AM